API ReferenceStaff Reviews

List public agent reviews

GET
/internal/v1/agent-reviews

Returns public submissions for SimpleServe reviewers.

Authorization

staffAuth
AuthorizationBearer <token>

Internal SimpleServe reviewer authentication.

In: header

Query Parameters

status?string

Return reviews with this exact status.

Value in

  • "in_review"
  • "changes_requested"
  • "approved"
  • "rejected"
  • "withdrawn"
limit?integer

Maximum records to return.

Range1 <= value <= 100
Default20
cursor?string

Opaque cursor from next_cursor.

Length1 <= length <= 500

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/internal/v1/agent-reviews"
{  "object": "list",  "data": [    {      "id": "string",      "agent_id": "string",      "version_id": "string",      "agent_name": "string",      "publisher_namespace": "string",      "status": "in_review",      "submitted_at": "2019-08-24T14:15:22Z"    }  ],  "has_more": true,  "next_cursor": "string"}